Page MenuHomePhabricator

Recruit Google Code-in 2014 mentors
Closed, ResolvedPublic

Description

We need to recruit mentors for Google Code-in 2014. Two key questions:

Who to invite explicitly?

  • GCi mentors 2013
  • GSoC 2014 and FOSS OPW round 8 mentors and students
  • Possible mentors
  • Wikimedia Foundation and WMDE teams
  • ToolLabs? WLM Tools?

What to ask from them?

Based on last year's experience, probably it is better to start with a very simple and specific request. The repeaters know the drill, the newbies will see how things work pretty fast. We will answer to questions, but we don't need to enter into much details beforehand. Last year's numbers should be quite explanatory.

Requirements to become a Wikimedia GCi mentor: (proposal)

  • Provide 5 easy Bugzilla reports or Phabricator tasks
  • OR provide 1 easy clonable task (a type of task that can be repeated many times)
  • The tasks must include instructions or point to documentation
  • You commit to answer to students' questions and to evaluate their tasks within 36 hours

Optional

  • All the better if you provide new tasks as the old ones are being fixed.
  • You can become a candidate to attend the GCi Summit in Google headquarters -- travel and accommodation fully covered.

Details: https://www.mediawiki.org/wiki/Google_Code-in_2014

Event Timeline

Qgil created this task.Oct 27 2014, 4:02 AM
Qgil raised the priority of this task from to High.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil added subscribers: Unknown Object (MLST), Qgil, siebrand, Aklapper.
Qgil renamed this task from Recruit Googe Code-in 2014 mentors to Recruit Google Code-in 2014 mentors.Oct 27 2014, 4:14 AM
Qgil added a subscriber: Himeshi.Oct 28 2014, 7:58 AM
Mvolz added a subscriber: Mvolz.Oct 31 2014, 4:39 PM
Qgil assigned this task to Aklapper.Nov 4 2014, 8:13 AM

Just noting that @Aklapper is working on this.

Qgil added a comment.Nov 4 2014, 8:14 AM

By the way, @siebrand said at the GSoC Reunion that he was very interested in helping.

Aklapper moved this task from Backlog to Doing on the ECT-November-2014 board.Nov 4 2014, 3:41 PM

...and personal email invitation sent to Siebrand. :)

Qgil added a comment.Nov 7 2014, 7:36 AM
  • @Qgil: GSoC 2014 and FOSS OPW round 8 mentors and students -- do you really want to contact them all, or any specific choice? Idea to communicate is probably if there are smaller tasks to finish that participants didn't manage to finish within their GSoC/OPW project? Is there some list of email addresses available to share?

Yes and yes and I've just sent you an email with the interns' addresses.

As part of T717, I sent an email to the Summer 2014 interns (GSoC and OPW) mentioning GCi among other things. It is good that they receive another email from you, focusing on GCi only.

  • @Qgil: "Possible mentors": Do you really mean mass-contacting everybody listed at https://www.mediawiki.org/wiki/Mentorship_programs/Possible_mentors#The_bench ? If yes I will diff against who I've already contacted anyway to not send duplicates. I guess I'm afraid that the list is outdated, but in that case I could add a "Contacting you because you were listed on that page. If you are not available for mentoring anymore please remove yourself from that wikipage" ?

Exactly. "Outdated" here might also mean "You are a mentor with experience and you haven't been mentoring for a while; do you want to come back with an easy one?" :)

  • DONE: ...

Great! I received your email, and I'm thinking about it. ;)

Updates in mentor recruitment land since my last comment:

General comments on recruiting mentors:

  • I tried to avoid spamming people several times but I guess in some cases I did as this entirely relied on my human brain which is error-prone.
  • I've gathered email addresses from wikitech-l@ archives and from Bugzilla (as I have access). The latter will not be possible anymore in Phabricator so this will get way harder next time.
  • Matching wiki usernames with email addresses can be the usual PITA.
Qgil awarded a token.Nov 7 2014, 9:00 PM
  • DONE: emailed cscott whether there are easy OCG bugs (currently none are marked)
Qgil moved this task from Backlog to Doing on the ECT-October-2014 board.Nov 26 2014, 2:45 PM
Qgil moved this task from Doing to Backlog on the ECT-October-2014 board.
Aklapper moved this task from Backlog to Doing on the ECT-December-2014 board.
Aklapper moved this task from Backlog to Doing on the ECT-January-2015 board.
Aklapper closed this task as Resolved.Jan 11 2015, 10:43 PM

We have 8 days left, 77 tasks open/unclaimed (38 of them in the Code category), so I think we're fine and pretty much done with this task. Closing; see you next year. :)

I have moved actionable items from this task to the "Actively find/recruit mentors" section on mw:Google Code-in/Admins so we don't need to reinvent most of the wheel next time. Hopefully.